Method: projects.locations.autoProtectionPolicies.bindings.matchingResources.list

Lists Binding Matching Resources for a given AutoProtectionPolicyBinding.

HTTP request


GET https://backupdr.googleapis.com/v1beta/{parent=projects/*/locations/*/autoProtectionPolicies/*/bindings/*}/matchingResources

The URLs use gRPC Transcoding syntax.

Path parameters

Parameters
parent

string

Required. The project, location, auto protection policy and binding for which to retrieve BindingMatchingResources information. Format: projects/{project}/locations/{location}/autoProtectionPolicies/{autoProtectionPolicy}/bindings/{binding}. In Google Cloud Backup and DR, locations map to Google Cloud regions, for example us-central1.

Query parameters

Parameters
pageSize

integer

Optional. The maximum number of BindingMatchingResources to return in a single response. The default page size is 100 and maximum page size is 200. Note that the response may include a partial list and a caller should only rely on the response's nextPageToken to determine if there are more instances left to be queried.

pageToken

string

Optional. The value of nextPageToken received from a previous matchingResources.list call. Provide this to retrieve the subsequent page in a multi-page list of results. When paginating, all other parameters provided to matchingResources.list must match the call that provided the page token.

filter

string

Optional. Field match expression used to filter the results.

orderBy

string

Optional. Field by which to sort the results.

Request body

The request body must be empty.

Response body

The response message for getting a list of BindingMatchingResources.

If successful, the response body contains data with the following structure:

JSON representation
{
  "matchingResources": [
    {
      object (BindingMatchingResource)
    }
  ],
  "nextPageToken": string
}
Fields
matchingResources[]

object (BindingMatchingResource)

The list of BindingMatchingResources in the project,location for the specified binding.

nextPageToken

string

A token which may be sent as pageToken in a subsequent matchingResources.list call to retrieve the next page of results. If this field is omitted or empty, then there are no more results to return.

Authorization scopes

Requires one of the following OAuth scopes:

  • https://www.googleapis.com/auth/cloud-platform
  • https://www.googleapis.com/auth/cloud-backupdr

For more information, see the Authentication Overview.